# events/battle-scene | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

- events/battle-scene

# Module events/battle-scene

## Enumerations

BattleSceneEventType

## Classes

BerryUsedEvent
CandyUpgradeNotificationChangedEvent
EncounterPhaseEvent
MoveUsedEvent
NewArenaEvent
TurnEndEvent
TurnInitEvent

### Settings

Member Visibility

- Protected
- Inherited
- External

Theme

### On This Page

Enumerations
BattleSceneEventType
Classes
BerryUsedEvent
CandyUpgradeNotificationChangedEvent
EncounterPhaseEvent
MoveUsedEvent
NewArenaEvent
TurnEndEvent
TurnInitEvent